oasis.names.tc.saml._2_0.protocol

## Class NameIDMappingRequest

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.RequestAbstractType
  - - oasis.names.tc.saml._2_0.protocol.NameIDMappingRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class NameIDMappingRequest
      extends RequestAbstractType
      implements Serializable

  Java class for NameIDMappingRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NameIDMappingRequestType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}BaseID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}NameIDPolicy"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIDMappingRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseID` | `getBaseID()` Gets the value of the baseID property.
    `EncryptedElementType` | `getEncryptedID()` Gets the value of the encryptedID property.
    `NameIDType` | `getNameID()` Gets the value of the nameID property.
    `NameIDPolicy` | `getNameIDPolicy()` Gets the value of the nameIDPolicy property.
    `void` | `setBaseID(BaseID value)` Sets the value of the baseID property.
    `void` | `setEncryptedID(EncryptedElementType value)` Sets the value of the encryptedID property.
    `void` | `setNameID(NameIDType value)` Sets the value of the nameID property.
    `void` | `setNameIDPolicy(NameIDPolicy value)` Sets the value of the nameIDPolicy property.

    - ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameIDMappingRequest

          public NameIDMappingRequest()

  - ### Method Detail

    - #### getEncryptedID

          public EncryptedElementType getEncryptedID()

      Gets the value of the encryptedID property.
      Returns:
        possible object is `EncryptedElementType`

    - #### setEncryptedID

          public void setEncryptedID(EncryptedElementType value)

      Sets the value of the encryptedID property.
      Parameters:
        `value` - allowed object is `EncryptedElementType`

    - #### getNameID

          public NameIDType getNameID()

      Gets the value of the nameID property.
      Returns:
        possible object is `NameIDType`

    - #### setNameID

          public void setNameID(NameIDType value)

      Sets the value of the nameID property.
      Parameters:
        `value` - allowed object is `NameIDType`

    - #### getBaseID

          public BaseID getBaseID()

      Gets the value of the baseID property.
      Returns:
        possible object is `BaseID`

    - #### setBaseID

          public void setBaseID(BaseID value)

      Sets the value of the baseID property.
      Parameters:
        `value` - allowed object is `BaseID`

    - #### getNameIDPolicy

          public NameIDPolicy getNameIDPolicy()

      Gets the value of the nameIDPolicy property.
      Returns:
        possible object is `NameIDPolicy`

    - #### setNameIDPolicy

          public void setNameIDPolicy(NameIDPolicy value)

      Sets the value of the nameIDPolicy property.
      Parameters:
        `value` - allowed object is `NameIDPolicy`

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.